Package pygccxml :: Package msvc :: Module bsc_impl_details

# Module bsc_impl_details

source code

Classes
Bsc
IinstInfo
BSC_STAT
NiQ
enums
definition_t
instance_t
module_t
bsc_reader_t

Variables
| STRING = `c_char_p`
| qyMac = `9`
| refreshAllOp = `4`
| qyDervOf = `7`
| delOp = `1`
| qyImpMembers = `8`
| changeOp = `2`
| qyRefs = `4`
| qyCalls = `2`
| changeIinstOp = `3`
| qyContains = `1`
| qyCalledBy = `3`
| noOp = `5`
| qyBaseOf = `6`
| qyNil = `0`
| addOp = `0`
| qyDefs = `5`
| PULONG = `POINTER(ULONG)`
| USHORT = `c_ushort`
| PUSHORT = `POINTER(USHORT)`
| UCHAR = `c_ubyte`
| PUCHAR = `POINTER(UCHAR)`
| PSZ = `c_char_p`
| FLOAT = `c_float`
| PFLOAT = `POINTER(FLOAT)`
| PBOOL = `POINTER(BOOL)`
| LPBOOL = `POINTER(BOOL)`
| PBYTE = `POINTER(BYTE)`
| LPBYTE = `POINTER(BYTE)`
| PINT = `POINTER(c_int)`
| LPINT = `POINTER(c_int)`
| PWORD = `POINTER(WORD)`
| LPWORD = `POINTER(WORD)`
| LPLONG = `POINTER(c_long)`
| PDWORD = `POINTER(DWORD)`
| LPDWORD = `POINTER(DWORD)`
| LPVOID = `c_void_p`
| LPCVOID = `c_void_p`
| INT = `c_int`
| PUINT = `POINTER(c_uint)`
| ULONG_PTR = `POINTER(ULONG)`
| NI = `ULONG`
| IINST = `ULONG`
| IREF = `ULONG`
| IDEF = `ULONG`
| IMOD = `c_ushort`
| LINE = `c_ushort`
| TYP = `BYTE`
| ATR = `c_ushort`
| ATR32 = `ULONG`
| MBF = `ULONG`
| SZ = `c_char_p`
| SZ_CONST = `c_char_p`
| OPERATION = `c_int`
| pfnNotifyChange = `CFUNCTYPE(BOOL, POINTER(NiQ), ULONG, ULONG_PTR)`
| _qy_ = `c_int`
| QY = `c_int`
| BSCOpen = `_libraries ['msbsc70.dll'].BSCOpen`
| BSCClose = `_libraries ['msbsc70.dll'].BSCClose`
| BSCIinstInfo = `_libraries ['msbsc70.dll'].BSCIinstInfo`
| BSCIrefInfo = `_libraries ['msbsc70.dll'].BSCIrefInfo`
| BSCIdefInfo = `_libraries ['msbsc70.dll'].BSCIdefInfo`
| BSCImodInfo = `_libraries ['msbsc70.dll'].BSCImodInfo`
| BSCSzFrTyp = `_libraries ['msbsc70.dll'].BSCSzFrTyp`
| BSCSzFrAtr = `_libraries ['msbsc70.dll'].BSCSzFrAtr`
| BSCGetIinstByvalue = `_libraries ['msbsc70.dll'].BSCGetIinstByv`...``
| BSCGetOverloadArray = `_libraries ['msbsc70.dll'].BSCGetOverloa`...``
| BSCGetUsedByArray = `_libraries ['msbsc70.dll'].BSCGetUsedByArray`
| BSCGetUsesArray = `_libraries ['msbsc70.dll'].BSCGetUsesArray`
| BSCGetBaseArray = `_libraries ['msbsc70.dll'].BSCGetBaseArray`
| BSCGetDervArray = `_libraries ['msbsc70.dll'].BSCGetDervArray`
| BSCGetMembersArray = `_libraries ['msbsc70.dll'].BSCGetMembersA`...``
| BSCGetDefArray = `_libraries ['msbsc70.dll'].BSCGetDefArray`
| BSCGetRefArray = `_libraries ['msbsc70.dll'].BSCGetRefArray`
| BSCGetModuleContents = `_libraries ['msbsc70.dll'].BSCGetModule`...``
| BSCGetModuleByName = `_libraries ['msbsc70.dll'].BSCGetModuleBy`...``
| BSCGetAllModulesArray = `_libraries ['msbsc70.dll'].BSCGetAllMo`...``
| BSCDisposeArray = `_libraries ['msbsc70.dll'].BSCDisposeArray`
| BSCFormatDname = `_libraries ['msbsc70.dll'].BSCFormatDname`
| BSCFInstFilter = `_libraries ['msbsc70.dll'].BSCFInstFilter`
| BSCIinstFrIref = `_libraries ['msbsc70.dll'].BSCIinstFrIref`
| BSCIinstFrIdef = `_libraries ['msbsc70.dll'].BSCIinstFrIdef`
| BSCIinstContextIref = `_libraries ['msbsc70.dll'].BSCIinstConte`...``
| BSCGetStatistics = `_libraries ['msbsc70.dll'].BSCGetStatistics`
| BSCGetModuleStatistics = `_libraries ['msbsc70.dll'].BSCGetModu`...``
| BSCFCaseSensitive = `_libraries ['msbsc70.dll'].BSCFCaseSensitive`
| BSCSetCaseSensitivity = `_libraries ['msbsc70.dll'].BSCSetCaseS`...``
| BSCGetAllGlobalsArray = `_libraries ['msbsc70.dll'].BSCGetAllGl`...``
| BSCSzFrAtr2 = `_libraries ['msbsc70.dll'].BSCSzFrAtr2`
| BSCIinstInfo2 = `_libraries ['msbsc70.dll'].BSCIinstInfo2`
| BSCGetIinstByvalue2 = `_libraries ['msbsc70.dll'].BSCGetIinstBy`...``
| OpenBSCQuery = `_libraries ['msbsc70.dll'].OpenBSCQuery`
| CloseBSCQuery = `_libraries ['msbsc70.dll'].CloseBSCQuery`
| BOB = `ULONG`
| InitBSCQuery = `_libraries ['msbsc70.dll'].InitBSCQuery`
| BobNext = `_libraries ['msbsc70.dll'].BobNext`
| BobFrName = `_libraries ['msbsc70.dll'].BobFrName`
| LszNameFrBob = `_libraries ['msbsc70.dll'].LszNameFrBob`
| CLS = `c_ushort`

Variables Details

### BSCGetIinstByvalue

Value:

      _libraries ['msbsc70.dll'].BSCGetIinstByvalue

### BSCGetOverloadArray

Value:

      _libraries ['msbsc70.dll'].BSCGetOverloadArray

### BSCGetMembersArray

Value:

      _libraries ['msbsc70.dll'].BSCGetMembersArray

### BSCGetModuleContents

Value:

      _libraries ['msbsc70.dll'].BSCGetModuleContents

### BSCGetModuleByName

Value:

      _libraries ['msbsc70.dll'].BSCGetModuleByName

### BSCGetAllModulesArray

Value:

      _libraries ['msbsc70.dll'].BSCGetAllModulesArray

### BSCIinstContextIref

Value:

      _libraries ['msbsc70.dll'].BSCIinstContextIref

### BSCGetModuleStatistics

Value:

      _libraries ['msbsc70.dll'].BSCGetModuleStatistics

### BSCSetCaseSensitivity

Value:

      _libraries ['msbsc70.dll'].BSCSetCaseSensitivity

### BSCGetAllGlobalsArray

Value:

      _libraries ['msbsc70.dll'].BSCGetAllGlobalsArray

### BSCGetIinstByvalue2

Value:

      _libraries ['msbsc70.dll'].BSCGetIinstByvalue2